import 'package:flutter/material.dart';

class MILoader extends StatelessWidget {
  final Widget child;
  final bool isCallInProgress;
  final double opacity;
  final Color color;
  final Animation<Color>? valueColor;

  const MILoader({
    super.key,
    required this.child,
    required this.isCallInProgress,
    this.color = Colors.blue,
    this.opacity = 0.3,
    this.valueColor,
  });

  @override
  Widget build(BuildContext context) {
    List<Widget> widgetList = <Widget>[];
    widgetList.add(child);
    if (isCallInProgress) {
      widgetList.add(
        Positioned.fill(
            child: Opacity(
          opacity: opacity,
          child: ModalBarrier(
            dismissible: false,
            color: color,
          ),
        )),
      );
      widgetList.add(const Positioned.fill(
          child: Align(
        alignment: Alignment.center,
        child: CircularProgressIndicator(
          color: Colors.blue,
        ),
      )));
    }
    return Stack(
      children: widgetList,
    );
  }
}
