import 'package:ssl_pinning_example/network/error_model.dart';
import 'app_exception.dart';

class FetchException implements Exception {
  final dynamic _errorModel;

  FetchException([this._errorModel]);

  ErrorModel fetchErrorModel() {
    if (_errorModel == null) {
      return ErrorModel(
          message: "Something went wrong, please try again later");
    }

    String model = "Something went wrong, please try again later";

    if (_errorModel is GeneralApiResponseErrorException) {
      model = (_errorModel)
          .errorModel
          .toString()
          .replaceFirst("Exception: ", "", 0);
      return ErrorModel.fromRawJson(model);
    }

    return ErrorModel(message: "Something went wrong, please try again later");
  }
}
