import 'dart:io';

import 'package:flutter/services.dart';
import 'package:http/io_client.dart';
import 'base_client.dart';

class SSLPinningManger {
  Future<void> initialize() async {
    var client = await _getSSLClient();
    BaseClient(client);
  }

  Future<SecurityContext?> get _securityContext async {
    final data =
        await rootBundle.load("assets/certificate/ssl_certificate.pem");
    SecurityContext context = SecurityContext(withTrustedRoots: false);
    context.setTrustedCertificatesBytes(data.buffer.asUint8List());
    return context;
  }

  Future<IOClient> _getSSLClient() async {
    HttpClient client = HttpClient(context: await _securityContext);
    client.badCertificateCallback =
        (X509Certificate cert, String host, int port) => false;
    IOClient ioClient = IOClient(client);
    return ioClient;
  }
}
